resource "desec_domain" "nayeonie_dedyn_io" {
  name = "nayeonie.dedyn.io"
}

# Create a zone
resource "dnsimple_zone" "nayeonie_com" {
  name = "nayeonie.com"
}

# Add a record to the root domain
resource "dnsimple_zone_record" "root_nayeonie_com_cname" {
  zone_name = "nayeonie.com"
  name      = ""
  value     = "nayeonie.dedyn.io"
  type      = "ALIAS"
  ttl       = 3600
}

# Add a record to the root domain
resource "dnsimple_zone_record" "wildcard_nayeonie_com_cname" {
  zone_name  = "nayeonie.com"
  name       = "*"
  value      = "nayeonie.dedyn.io"
  type       = "ALIAS"
  ttl        = 3600
  depends_on = [dnsimple_zone.nayeonie_com]
}

resource "dnsimple_zone_record" "tiktok_txt" {
  zone_name  = "nayeonie.com"
  name       = ""
  type       = "TXT"
  value      = data.sops_file.secrets.data["tiktok.txt"]
  ttl        = 3600
  depends_on = [dnsimple_zone.nayeonie_com]
}

resource "dnsimple_zone_record" "gitea_nayeonie_com_srv" {
  zone_name  = "nayeonie.com"
  name       = "_gitea._tcp"
  type       = "SRV"
  value      = "100 2222 nayeonie.com."
  ttl        = 3600
  depends_on = [dnsimple_zone.nayeonie_com]
}
